<?php require($_SERVER['DOCUMENT_ROOT'] . '/admin/inc/sessionStart.php'); ?>
<?php
	//
	// jQuery File Tree PHP Connector
	//
	// Version 1.01
	//
	// Cory S.N. LaViska
	// A Beautiful Site (http://abeautifulsite.net/)
	// 24 March 2008
	//
	// History:
	//
	// 1.01 - updated to work with foreign characters in directory/file names (12 April 2008)
	// 1.00 - released (24 March 2008)
	//
	// Output a list of files for jQuery File Tree
	//

	$_POST['dir'] = urldecode($_POST['dir']);
	$root = $_SERVER['DOCUMENT_ROOT'] . "/";
	$hideFolders = array();
	
	if( file_exists($root . $_POST['dir']) ) {
		$files = scandir($root . $_POST['dir']);
		natcasesort($files);
		if( count($files) > 2 ) { /* The 2 accounts for . and .. */
			echo "<ul class=\"jqueryFileTree\" style=\"display: none;\">";		
			// All dirs
			?>
			<?php
				if($_POST['dir'] == "Kickstrap/"){
					$hideFolders = array("apps", "bootstrap", "css", "extras", "js", "themes", ".DS_Store", "qunit.zip");
				}
			foreach( $files as $file ) {
				if( file_exists($root . $_POST['dir'] . $file) && !in_array($file, $hideFolders) && $file != '.' && $file != '..' && is_dir($root . $_POST['dir'] . $file) ) {
					echo "<li class=\"directory collapsed\"><a href=\"#\" rel=\"" . htmlentities($_POST['dir'] . $file) . "/\">" . htmlentities($file) . "
					</a>";
					echo "</li>";
				} 			
			}		
				echo "</ul>";	
		}
	}
?>